<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otOperationalDataset Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d5/d59/structotOperationalDataset.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../df/d8e/structotOperationalDataset-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otOperationalDataset Struct Reference<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d1/d44/group__config.html">Configuration</a> &raquo; <a class="el" href="../../df/d4f/group__config-general.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents an Active or Pending Operational Dataset.  
 <a href="../../d5/d59/structotOperationalDataset.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for otOperationalDataset:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/df1/structotOperationalDataset__coll__graph.png" border="0" usemap="#otOperationalDataset_coll__map" alt="Collaboration graph"/></div>
<map name="otOperationalDataset_coll__map" id="otOperationalDataset_coll__map">
<area shape="rect" id="node2" href="../../d6/d1f/structotSecurityPolicy.html" title="This structure represent Security Policy. " alt="" coords="5,5,122,31"/>
<area shape="rect" id="node3" href="../../d8/d61/structotMeshLocalPrefix.html" title="This structure represents a Mesh Local Prefix. " alt="" coords="146,5,277,31"/>
<area shape="rect" id="node4" href="../../dc/d20/structotExtendedPanId.html" title="This structure represents an Extended PAN ID. " alt="" coords="300,5,424,31"/>
<area shape="rect" id="node5" href="../../df/d91/structotNetworkName.html" title="This structure represents a Network Name. " alt="" coords="448,5,565,31"/>
<area shape="rect" id="node6" href="../../df/dc6/structotPSKc.html" title="This structure represents PSKc. " alt="" coords="595,5,660,31"/>
<area shape="rect" id="node7" href="../../d9/d03/structotMasterKey.html" title="This structure represents a Thread Master Key. " alt="" coords="685,5,781,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7bd9d62fafb29ee4e3517e065166588a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7bd9d62fafb29ee4e3517e065166588a"></a>
uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a7bd9d62fafb29ee4e3517e065166588a">mActiveTimestamp</a></td></tr>
<tr class="memdesc:a7bd9d62fafb29ee4e3517e065166588a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Active Timestamp. <br /></td></tr>
<tr class="separator:a7bd9d62fafb29ee4e3517e065166588a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7518f47c4959daeb761e41ab29196517"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7518f47c4959daeb761e41ab29196517"></a>
uint64_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a7518f47c4959daeb761e41ab29196517">mPendingTimestamp</a></td></tr>
<tr class="memdesc:a7518f47c4959daeb761e41ab29196517"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pending Timestamp. <br /></td></tr>
<tr class="separator:a7518f47c4959daeb761e41ab29196517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21cdf110114fa89731699bf580396f82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21cdf110114fa89731699bf580396f82"></a>
<a class="el" href="../../d9/d03/structotMasterKey.html">otMasterKey</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a21cdf110114fa89731699bf580396f82">mMasterKey</a></td></tr>
<tr class="memdesc:a21cdf110114fa89731699bf580396f82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Network Master Key. <br /></td></tr>
<tr class="separator:a21cdf110114fa89731699bf580396f82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16a2d0c0dd134ea0b568ae2e4442cca7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16a2d0c0dd134ea0b568ae2e4442cca7"></a>
<a class="el" href="../../df/d91/structotNetworkName.html">otNetworkName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a16a2d0c0dd134ea0b568ae2e4442cca7">mNetworkName</a></td></tr>
<tr class="memdesc:a16a2d0c0dd134ea0b568ae2e4442cca7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Network Name. <br /></td></tr>
<tr class="separator:a16a2d0c0dd134ea0b568ae2e4442cca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe29b5a7ad4991fedda85dc7f0d0a9ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe29b5a7ad4991fedda85dc7f0d0a9ba"></a>
<a class="el" href="../../dc/d20/structotExtendedPanId.html">otExtendedPanId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#afe29b5a7ad4991fedda85dc7f0d0a9ba">mExtendedPanId</a></td></tr>
<tr class="memdesc:afe29b5a7ad4991fedda85dc7f0d0a9ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Extended PAN ID. <br /></td></tr>
<tr class="separator:afe29b5a7ad4991fedda85dc7f0d0a9ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a106decaee164d7c68cb1025d137b5efb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a106decaee164d7c68cb1025d137b5efb"></a>
<a class="el" href="../../d8/d61/structotMeshLocalPrefix.html">otMeshLocalPrefix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a106decaee164d7c68cb1025d137b5efb">mMeshLocalPrefix</a></td></tr>
<tr class="memdesc:a106decaee164d7c68cb1025d137b5efb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mesh Local Prefix. <br /></td></tr>
<tr class="separator:a106decaee164d7c68cb1025d137b5efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36d2dd5b146d8af6971c41c13d8fe3aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a36d2dd5b146d8af6971c41c13d8fe3aa"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a36d2dd5b146d8af6971c41c13d8fe3aa">mDelay</a></td></tr>
<tr class="memdesc:a36d2dd5b146d8af6971c41c13d8fe3aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Delay Timer. <br /></td></tr>
<tr class="separator:a36d2dd5b146d8af6971c41c13d8fe3aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9041fb788284181dd84b642da23e9d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9041fb788284181dd84b642da23e9d9"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#a2dd7c7e7e4b5a8a15e9af7fb78de1eda">otPanId</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#ae9041fb788284181dd84b642da23e9d9">mPanId</a></td></tr>
<tr class="memdesc:ae9041fb788284181dd84b642da23e9d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">PAN ID. <br /></td></tr>
<tr class="separator:ae9041fb788284181dd84b642da23e9d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab6258c1a117bc4c4bd7c0fac0bd577a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab6258c1a117bc4c4bd7c0fac0bd577a"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#aab6258c1a117bc4c4bd7c0fac0bd577a">mChannel</a></td></tr>
<tr class="memdesc:aab6258c1a117bc4c4bd7c0fac0bd577a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Channel. <br /></td></tr>
<tr class="separator:aab6258c1a117bc4c4bd7c0fac0bd577a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4df599f2af182a469fd06fef8ddb4e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4df599f2af182a469fd06fef8ddb4e5"></a>
<a class="el" href="../../df/dc6/structotPSKc.html">otPSKc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#aa4df599f2af182a469fd06fef8ddb4e5">mPSKc</a></td></tr>
<tr class="memdesc:aa4df599f2af182a469fd06fef8ddb4e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">PSKc. <br /></td></tr>
<tr class="separator:aa4df599f2af182a469fd06fef8ddb4e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65ccebe7430e029a474800d5197de8f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65ccebe7430e029a474800d5197de8f6"></a>
<a class="el" href="../../d6/d1f/structotSecurityPolicy.html">otSecurityPolicy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a65ccebe7430e029a474800d5197de8f6">mSecurityPolicy</a></td></tr>
<tr class="memdesc:a65ccebe7430e029a474800d5197de8f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Security Policy. <br /></td></tr>
<tr class="separator:a65ccebe7430e029a474800d5197de8f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69fff5b0adef80ae4d70b526e66f549f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69fff5b0adef80ae4d70b526e66f549f"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#a8f1b06af891ef3706b8f4bcfd03512db">otChannelMaskPage0</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a69fff5b0adef80ae4d70b526e66f549f">mChannelMaskPage0</a></td></tr>
<tr class="memdesc:a69fff5b0adef80ae4d70b526e66f549f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Channel Mask Page 0. <br /></td></tr>
<tr class="separator:a69fff5b0adef80ae4d70b526e66f549f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29fb0ff5439b46a5f0a4ac312503596e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29fb0ff5439b46a5f0a4ac312503596e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a29fb0ff5439b46a5f0a4ac312503596e">mIsActiveTimestampSet</a>: 1</td></tr>
<tr class="memdesc:a29fb0ff5439b46a5f0a4ac312503596e"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Active Timestamp is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a29fb0ff5439b46a5f0a4ac312503596e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9499b1c42c0154c9355a7ee8128f2534"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9499b1c42c0154c9355a7ee8128f2534"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a9499b1c42c0154c9355a7ee8128f2534">mIsPendingTimestampSet</a>: 1</td></tr>
<tr class="memdesc:a9499b1c42c0154c9355a7ee8128f2534"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Pending Timestamp is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a9499b1c42c0154c9355a7ee8128f2534"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fee0c2c306ec7539b668af2fe0465ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fee0c2c306ec7539b668af2fe0465ad"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a2fee0c2c306ec7539b668af2fe0465ad">mIsMasterKeySet</a>: 1</td></tr>
<tr class="memdesc:a2fee0c2c306ec7539b668af2fe0465ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Network Master Key is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a2fee0c2c306ec7539b668af2fe0465ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a470a232798359e9a30d4a7d9968ea27f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a470a232798359e9a30d4a7d9968ea27f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a470a232798359e9a30d4a7d9968ea27f">mIsNetworkNameSet</a>: 1</td></tr>
<tr class="memdesc:a470a232798359e9a30d4a7d9968ea27f"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Network Name is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a470a232798359e9a30d4a7d9968ea27f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb3e0c2e076b5222c0dc35b4a8dfccdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb3e0c2e076b5222c0dc35b4a8dfccdb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#afb3e0c2e076b5222c0dc35b4a8dfccdb">mIsExtendedPanIdSet</a>: 1</td></tr>
<tr class="memdesc:afb3e0c2e076b5222c0dc35b4a8dfccdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Extended PAN ID is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:afb3e0c2e076b5222c0dc35b4a8dfccdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f15c46b6feb4804dc7f1c898cd8b0ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f15c46b6feb4804dc7f1c898cd8b0ac"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a2f15c46b6feb4804dc7f1c898cd8b0ac">mIsMeshLocalPrefixSet</a>: 1</td></tr>
<tr class="memdesc:a2f15c46b6feb4804dc7f1c898cd8b0ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Mesh Local Prefix is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a2f15c46b6feb4804dc7f1c898cd8b0ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5db3d3de0cb229abbd65c9fb78f5d189"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5db3d3de0cb229abbd65c9fb78f5d189"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a5db3d3de0cb229abbd65c9fb78f5d189">mIsDelaySet</a>: 1</td></tr>
<tr class="memdesc:a5db3d3de0cb229abbd65c9fb78f5d189"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Delay Timer is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a5db3d3de0cb229abbd65c9fb78f5d189"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe92ab20f1dc91a45192f7ab41eb0664"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe92ab20f1dc91a45192f7ab41eb0664"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#abe92ab20f1dc91a45192f7ab41eb0664">mIsPanIdSet</a>: 1</td></tr>
<tr class="memdesc:abe92ab20f1dc91a45192f7ab41eb0664"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if PAN ID is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:abe92ab20f1dc91a45192f7ab41eb0664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a314e176489ee5735aae63c5d3ad4173d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a314e176489ee5735aae63c5d3ad4173d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a314e176489ee5735aae63c5d3ad4173d">mIsChannelSet</a>: 1</td></tr>
<tr class="memdesc:a314e176489ee5735aae63c5d3ad4173d"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Channel is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a314e176489ee5735aae63c5d3ad4173d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96a0fc795b0b4f583f9227e6431bd857"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96a0fc795b0b4f583f9227e6431bd857"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a96a0fc795b0b4f583f9227e6431bd857">mIsPSKcSet</a>: 1</td></tr>
<tr class="memdesc:a96a0fc795b0b4f583f9227e6431bd857"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if PSKc is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a96a0fc795b0b4f583f9227e6431bd857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18f0296d88d9ef237ca9372e2f3e5bbf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18f0296d88d9ef237ca9372e2f3e5bbf"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#a18f0296d88d9ef237ca9372e2f3e5bbf">mIsSecurityPolicySet</a>: 1</td></tr>
<tr class="memdesc:a18f0296d88d9ef237ca9372e2f3e5bbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Security Policy is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:a18f0296d88d9ef237ca9372e2f3e5bbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf3c793425d63e81349e1acd11915c77"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf3c793425d63e81349e1acd11915c77"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d59/structotOperationalDataset.html#adf3c793425d63e81349e1acd11915c77">mIsChannelMaskPage0Set</a>: 1</td></tr>
<tr class="memdesc:adf3c793425d63e81349e1acd11915c77"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE if Channel Mask Page 0 is set, FALSE otherwise. <br /></td></tr>
<tr class="separator:adf3c793425d63e81349e1acd11915c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents an Active or Pending Operational Dataset. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d59/structotOperationalDataset.html">otOperationalDataset</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
